Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# connection.h File Reference

Declares the Connection class. More...

`#include "platform.h"`
`#include "defs.h"`
`#include "lockable.h"`
`#include "noexceptions.h"`
`#include <mysql.h>`
`#include <deque>`
`#include <string>`

Include dependency graph for connection.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Declares the Connection class.

Every program using MySQL++ must create a Connection object, which manages information about the connection to the MySQL database, and performs connection-related operations once the connection is up. Subordinate classes, such as Query and Row take their defaults as to whether exceptions are thrown when errors are encountered from the Connection object that created them, directly or indirectly.